It is currently Tue Sep 25, 2018 7:42 am


All times are UTC [ DST ]




Post new topic Reply to topic  [ 12 posts ] 
Author Message
 Post subject: Interface Not Supported error after installing 5.3
PostPosted: Mon Nov 21, 2011 11:03 pm 

Joined: Mon Nov 21, 2011 10:44 pm
Posts: 4
I have recently upgraded from 5.2 to 5.3b, however now every time I try to load AlbumPlayer the splash screen shows and then I get an "Interface Not Supported". If I click OK to this then Album Player immediately closes.

I have uninstalled and reinstalled the application and removed and recreated the C:\AlbumPlayerData folder, but no matter what I do I still get the "Interface Not Supported" error whenever I try to run 5.3 or 5.3b. If I reinstall 5.2 that works perfectly.

I don't know if it matters but I am using a laptop with Windows 2000.


Top
Offline Profile  
 
 Post subject:
PostPosted: Tue Nov 22, 2011 9:29 am 
AlbumPlayer Developer
User avatar

Joined: Wed Feb 26, 2003 5:09 pm
Posts: 4782
AlbumPlayer 5.3 uses .NET libraries, make sure .NET framework is updated to V2.0. I suspect the problem might be caused by this.


Top
Offline Profile  
 
 Post subject:
PostPosted: Tue Nov 22, 2011 11:22 pm 

Joined: Mon Nov 21, 2011 10:44 pm
Posts: 4
Hi, thanks for the quick reply.

I already had .net 2.0 installed, I have now upgraded to .net 2.0 SP1 and installed all of the security updates but I still get the error message every time I try to start AlbumPlayer 5.3b.


Top
Offline Profile  
 
 Post subject:
PostPosted: Wed Nov 23, 2011 8:53 am 
AlbumPlayer Developer
User avatar

Joined: Wed Feb 26, 2003 5:09 pm
Posts: 4782
The only things I can think of is at least that you make sure you have also latest SP of win2000 installed. After you did all that, please try to uninstall AP and reinstall. It looks to me that AP can not reach the .NET dll's. It uses COM to communicate with the DLL's and i think something go wrong in that.


Top
Offline Profile  
 
 Post subject:
PostPosted: Wed Nov 23, 2011 7:49 pm 

Joined: Fri Feb 22, 2008 5:45 am
Posts: 587
Location: Mohnton PA, USA
I noticed that with 5.3 and 5.3b, I had to be logged in as an administrator to install. Could this be what's going wrong with your install? In older versions, I usually could do 'Run As' administrator and have it complete successfully. This is now generating an error about a key dll (sorry, I wrote it down but can't find my note now. It's easy enough to reproduce though). Once installed, AP runs correctly on non-admin accounts which is how I have my network set up.


Top
Offline Profile  
 
 Post subject:
PostPosted: Thu Nov 24, 2011 10:34 am 
AlbumPlayer Developer
User avatar

Joined: Wed Feb 26, 2003 5:09 pm
Posts: 4782
"Run as administrator" only exits since Vista. If you have administrator rights in win2000 they are always applicable. So at least you can check if you have administrator rights when logged-in in win2000

The key.dll is sometimes a bit annoying, it doesn't have to do with administrator rights. It sometimes still is attached to a process and therefore locked. If you first log-out then log-in and the install AP you never will experience this error.


Top
Offline Profile  
 
 Post subject:
PostPosted: Fri Nov 25, 2011 2:14 am 

Joined: Fri Feb 22, 2008 5:45 am
Posts: 587
Location: Mohnton PA, USA
I don't know what you mean by "only exits since Vista."
"Run as" (different user) exists in windows 2000 and XP if you hold shift and right click an executable. That adds this option to the context menu.
I will try the logout/login workaround for the key.dll error. I hadn't tried that.


Top
Offline Profile  
 
 Post subject:
PostPosted: Fri Nov 25, 2011 10:35 am 
AlbumPlayer Developer
User avatar

Joined: Wed Feb 26, 2003 5:09 pm
Posts: 4782
But the difference since Vista is that you even have to run as administrator when you already administrator. By default your administartor rights are not used.


Top
Offline Profile  
 
 Post subject:
PostPosted: Sun Nov 27, 2011 12:46 pm 

Joined: Mon Nov 21, 2011 10:44 pm
Posts: 4
Hi, thanks for your help but I'm still getting the error message.

I'm logged into the machine with an administrator account and all of the service packs and security updates have been applied. I've tried uninstalling the existing version before installing 5.3b but no matter what I try I still get the same error message.

I've only got .Net 2 installed, do I need to install v3 or v4 as well?


Top
Offline Profile  
 
 Post subject:
PostPosted: Sun Nov 27, 2011 4:15 pm 
AlbumPlayer Developer
User avatar

Joined: Wed Feb 26, 2003 5:09 pm
Posts: 4782
AP suppose to run on .NET framework 2 but you might try to install also the higher versions as long as possible with win2000.


Top
Offline Profile  
 
 Post subject:
PostPosted: Sun Nov 27, 2011 10:41 pm 

Joined: Fri Feb 22, 2008 5:45 am
Posts: 587
Location: Mohnton PA, USA
I have a windows 2000 laptop and tried to help out by installing AP... unfortunately after going down the rathole for an hour and a half, I can't help you test it, sorry. My only other 2000 system is my business desktop and I won't mess with it.

The laptop said it had .NET 1.1, so when the AP installer ran, it wanted .NET version 2. I downloaded and ran that, and it requires Windows Installer version 3. I downloaded and ran that, and it requires W2K Service Pack 3. I had to draw the line there.


Top
Offline Profile  
 
 Post subject:
PostPosted: Sun Dec 04, 2011 12:57 pm 

Joined: Mon Nov 21, 2011 10:44 pm
Posts: 4
It turns out that .Net 3 & 4 will not install on Windows 2000. I've also tried installing AmbumPlayer 5.3b on another Windows 2000 laptop and also get the same error on that.

Has anyone managed to get v5.3b to install on Windows 2000?


Top
Offline Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 12 posts ]  Moderators: Jan, xblkx, Peter van der Burg

All times are UTC [ DST ]


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
cron
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
Theme created StylerBB.net